<?php
$detailx_woocommerce_sc = detailx_get_theme_option( 'front_page_woocommerce_products' );
if ( ! empty( $detailx_woocommerce_sc ) ) {
	?><div class="front_page_section front_page_section_woocommerce<?php
		$detailx_scheme = detailx_get_theme_option( 'front_page_woocommerce_scheme' );
		if ( ! empty( $detailx_scheme ) && ! detailx_is_inherit( $detailx_scheme ) ) {
			echo ' scheme_' . esc_attr( $detailx_scheme );
		}
		echo ' front_page_section_paddings_' . esc_attr( detailx_get_theme_option( 'front_page_woocommerce_paddings' ) );
		if ( detailx_get_theme_option( 'front_page_woocommerce_stack' ) ) {
			echo ' sc_stack_section_on';
		}
	?>"
			<?php
			$detailx_css      = '';
			$detailx_bg_image = detailx_get_theme_option( 'front_page_woocommerce_bg_image' );
			if ( ! empty( $detailx_bg_image ) ) {
				$detailx_css .= 'background-image: url(' . esc_url( detailx_get_attachment_url( $detailx_bg_image ) ) . ');';
			}
			if ( ! empty( $detailx_css ) ) {
				echo ' style="' . esc_attr( $detailx_css ) . '"';
			}
			?>
	>
	<?php
		// Add anchor
		$detailx_anchor_icon = detailx_get_theme_option( 'front_page_woocommerce_anchor_icon' );
		$detailx_anchor_text = detailx_get_theme_option( 'front_page_woocommerce_anchor_text' );
		if ( ( ! empty( $detailx_anchor_icon ) || ! empty( $detailx_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
			echo do_shortcode(
				'[trx_sc_anchor id="front_page_section_woocommerce"'
											. ( ! empty( $detailx_anchor_icon ) ? ' icon="' . esc_attr( $detailx_anchor_icon ) . '"' : '' )
											. ( ! empty( $detailx_anchor_text ) ? ' title="' . esc_attr( $detailx_anchor_text ) . '"' : '' )
											. ']'
			);
		}
	?>
		<div class="front_page_section_inner front_page_section_woocommerce_inner
			<?php
			if ( detailx_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
				echo ' detailx-full-height sc_layouts_flex sc_layouts_columns_middle';
			}
			?>
				"
				<?php
				$detailx_css      = '';
				$detailx_bg_mask  = detailx_get_theme_option( 'front_page_woocommerce_bg_mask' );
				$detailx_bg_color_type = detailx_get_theme_option( 'front_page_woocommerce_bg_color_type' );
				if ( 'custom' == $detailx_bg_color_type ) {
					$detailx_bg_color = detailx_get_theme_option( 'front_page_woocommerce_bg_color' );
				} elseif ( 'scheme_bg_color' == $detailx_bg_color_type ) {
					$detailx_bg_color = detailx_get_scheme_color( 'bg_color', $detailx_scheme );
				} else {
					$detailx_bg_color = '';
				}
				if ( ! empty( $detailx_bg_color ) && $detailx_bg_mask > 0 ) {
					$detailx_css .= 'background-color: ' . esc_attr(
						1 == $detailx_bg_mask ? $detailx_bg_color : detailx_hex2rgba( $detailx_bg_color, $detailx_bg_mask )
					) . ';';
				}
				if ( ! empty( $detailx_css ) ) {
					echo ' style="' . esc_attr( $detailx_css ) . '"';
				}
				?>
		>
			<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
				<?php
				// Content wrap with title and description
				$detailx_caption     = detailx_get_theme_option( 'front_page_woocommerce_caption' );
				$detailx_description = detailx_get_theme_option( 'front_page_woocommerce_description' );
				if ( ! empty( $detailx_caption ) || ! empty( $detailx_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					// Caption
					if ( ! empty( $detailx_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $detailx_caption ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( $detailx_caption, 'detailx_kses_content' );
						?>
						</h2>
						<?php
					}

					// Description (text)
					if ( ! empty( $detailx_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $detailx_description ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( wpautop( $detailx_description ), 'detailx_kses_content' );
						?>
						</div>
						<?php
					}
				}

				// Content (widgets)
				?>
				<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
					<?php
					if ( 'products' == $detailx_woocommerce_sc ) {
						$detailx_woocommerce_sc_ids      = detailx_get_theme_option( 'front_page_woocommerce_products_per_page' );
						$detailx_woocommerce_sc_per_page = count( explode( ',', $detailx_woocommerce_sc_ids ) );
					} else {
						$detailx_woocommerce_sc_per_page = max( 1, (int) detailx_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
					}
					$detailx_woocommerce_sc_columns = max( 1, min( $detailx_woocommerce_sc_per_page, (int) detailx_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
					echo do_shortcode(
						"[{$detailx_woocommerce_sc}"
										. ( 'products' == $detailx_woocommerce_sc
												? ' ids="' . esc_attr( $detailx_woocommerce_sc_ids ) . '"'
												: '' )
										. ( 'product_category' == $detailx_woocommerce_sc
												? ' category="' . esc_attr( detailx_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
												: '' )
										. ( 'best_selling_products' != $detailx_woocommerce_sc
												? ' orderby="' . esc_attr( detailx_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
													. ' order="' . esc_attr( detailx_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
												: '' )
										. ' per_page="' . esc_attr( $detailx_woocommerce_sc_per_page ) . '"'
										. ' columns="' . esc_attr( $detailx_woocommerce_sc_columns ) . '"'
						. ']'
					);
					?>
				</div>
			</div>
		</div>
	</div>
	<?php
}
